# "foreign" means not GNU, and is common for avoiding boring messages
# about files organized differently from what GNU expects

ACLOCAL_AMFLAGS = -I m4
AUTOMAKE_OPTIONS = foreign

SUBDIRS = \
    datas \
	posture \
	tests \
	tools

EXTRA_DIST = \
    COPYING \
    NEWS \
    README

pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = \
    posture.pc

if HAVE_DOXYGEN
dist_man_MANS = $(top_builddir)/man
$(top_builddir)/man: doxyfile.stamp

doxyfile.stamp:
	$(DOXYGEN) Doxyfile
	echo Timestamp > doxyfile.stamp

CLEANFILES = doxyfile.stamp

doc: doxyfile.stamp
clean-local:
	rm -rf $(top_builddir)/man/html
endif
